//@ts-nocheck
import { ValuesNames } from 'core/types/Calculation/Store/values';
import { ElementsNames } from '../types/elements';
import { elementsTitles } from './titles';
import values from './values';

export function getValueName(elementName: ElementsNames): ValuesNames {
  return values[elementName];
}

export function getFieldName(valueName: ValuesNames): ElementsNames {
  return Object.keys(values).find(key => values[key] === valueName);
}

export function getTitle(elementName: ElementsNames): string {
  return elementsTitles[elementName];
}
